import 'package:bot_toast/bot_toast.dart';
import 'package:flutter/material.dart';

class ToastUtil {
  static show(String message) {
    if (message != null && message.isNotEmpty) {
      BotToast.showText(
        duration: Duration(seconds: 3),
        contentColor: Color(0xCC111111),
        contentPadding: EdgeInsets.all(16),
        textStyle: TextStyle(fontSize: 15, color: Colors.white),
        borderRadius: BorderRadius.all(Radius.circular(4)),
        text: message,
        align: Alignment.center,
        onlyOne: false,
      );
    }
  }

  static showLoading({bool clickClose = false}) {
    BotToast.showCustomLoading(
        toastBuilder: (context) {
          return Container(
            padding: const EdgeInsets.all(20),
            decoration: const BoxDecoration(boxShadow: [
              BoxShadow(
                  color: Colors.black26, //阴影xy轴偏移量
                  blurRadius: 3, //阴影模糊程度
                  spreadRadius: 3 //阴影扩散程度
                  )
            ], color: Colors.white, borderRadius: BorderRadius.all(Radius.circular(10))),
            child: const CircularProgressIndicator(
              valueColor: AlwaysStoppedAnimation<Color>(Colors.blueAccent),
              backgroundColor: Colors.white,
            ),
          );
        },
        backgroundColor: Colors.black45,
        clickClose: clickClose,
        backButtonBehavior: BackButtonBehavior.ignore);
  }

  static dismiss() {
    BotToast.closeAllLoading();
  }

  static void showError(String message) {
    if (message != null && message.isNotEmpty) {
      BotToast.showText(
        duration: Duration(seconds: 3),
        contentColor: Color(0xCC111111),
        contentPadding: EdgeInsets.all(16),
        textStyle: TextStyle(fontSize: 15, color: Colors.white),
        borderRadius: BorderRadius.all(Radius.circular(4)),
        text: message,
        align: Alignment.center,
        onlyOne: false,
      );
    }
  }
}
