import 'package:flutter/material.dart';

class BothSideTextCell extends StatelessWidget {
  final double space;
  final EdgeInsetsGeometry padding;
  final String title;
  final String content;
  final TextStyle titleStyle;
  final TextStyle contentStyle;

  BothSideTextCell({
    Key key,
    this.space = 12,
    this.padding = const EdgeInsets.all(0),
    this.title = '',
    this.content = '',
    this.titleStyle = const TextStyle(color: Color(0xFF777777), fontSize: 14, fontWeight: FontWeight.normal),
    this.contentStyle = const TextStyle(color: Color(0xFF777777), fontSize: 14, fontWeight: FontWeight.normal),
  }) : super(key: key);

  @override
  Widget build(BuildContext context) {
    return Container(
      padding: padding,
      child: Row(children: [
        Text(title, style: titleStyle, overflow: TextOverflow.ellipsis, maxLines: 1, textAlign: TextAlign.left),
        VerticalDivider(
          width: space,
        ),
        Expanded(child: Text(content, style: contentStyle, overflow: TextOverflow.ellipsis, maxLines: 1, textAlign: TextAlign.right)),
      ]),
    );
  }
}