import 'package:flutter/material.dart';
import 'package:get/get.dart';

class DefaultAppBar extends AppBar {
  DefaultAppBar(
    String titleText, {
    Color shadowColor = Colors.transparent,
    Color backgroundColor = Colors.white,
    Brightness brightness = Brightness.light,
    bool isCenterTitle = true,
    backIcon = const Icon(Icons.arrow_back_ios, color: Color(0xFF333333), size: 24),
    List<Widget> actions,
    Function onBack,
  }) : super(
          shadowColor: shadowColor,
          backgroundColor: backgroundColor,
          brightness: brightness,
          title: Text(titleText, style: TextStyle(color: Color(0xFF333333), fontWeight: FontWeight.w500, fontSize: 17)),
          centerTitle: isCenterTitle,
          leading: IconButton(icon: backIcon, onPressed: onBack ?? () => Get.back()),
          actions: actions,
        );
}
