import 'package:flutter/material.dart';
import 'package:flutter/cupertino.dart';
import 'package:image_pickers/image_pickers.dart';
import 'package:get/get.dart';

class PickImageDialog extends StatelessWidget {
  final int maxImageCount;
  final String photoAlbumText;
  final String cameraText;
  final String cancelText;

  PickImageDialog({this.maxImageCount = 9, this.photoAlbumText, this.cameraText, this.cancelText});

  @override
  Widget build(BuildContext context) {
    return CupertinoActionSheet(
      actions: [
        CupertinoActionSheetAction(
            onPressed: () async {
              List<Media> listImagePaths = await ImagePickers.pickerPaths(
                galleryMode: GalleryMode.image,
                selectCount: maxImageCount,
                showCamera: false,
                compressSize: 5000,
              );
              Navigator.of(context).pop(listImagePaths);
            },
            child: Text(
              photoAlbumText ?? 'c_photo_album'.tr,
              style: TextStyle(color: Color(0xFF222222)),
            )),
        CupertinoActionSheetAction(
            onPressed: () async {
              Media image = await ImagePickers.openCamera();
              Navigator.of(context).pop([image]);
            },
            child: Text(cameraText ?? 'c_camera'.tr, style: TextStyle(color: Color(0xFF222222))))
      ],
      cancelButton: CupertinoActionSheetAction(
        onPressed: () async {
          Navigator.of(context).pop();
        },
        child: Text(cancelText ?? 'cancel'.tr),
      ),
    );
  }
}
